<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-711"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20XHXNavigator%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: XHXNavigator类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_navigator.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">类方法</a> |
<a href="interface_x_h_x_navigator-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXNavigator类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_navigator_8h_source.html">XHXNavigator.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXNavigator 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_navigator.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:a1ab38ab3ebac8021bf5ebad00d76d203"><td class="memItemLeft" align="right" valign="top">(UIViewController *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#a1ab38ab3ebac8021bf5ebad00d76d203">rootViewController</a></td></tr>
<tr class="separator:a1ab38ab3ebac8021bf5ebad00d76d203"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ac4ee4d0dd9d4258a7388d48bd416c528"><td class="memItemLeft" align="right" valign="top">(UIWindow *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#ac4ee4d0dd9d4258a7388d48bd416c528">rootWindow</a></td></tr>
<tr class="separator:ac4ee4d0dd9d4258a7388d48bd416c528"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae092b2e06c16c8dc6f01988ad1886a50"><td class="memItemLeft" align="right" valign="top">(UIWindow *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#ae092b2e06c16c8dc6f01988ad1886a50">topWindow</a></td></tr>
<tr class="separator:ae092b2e06c16c8dc6f01988ad1886a50"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:acc91401082b35660f529465910e26577"><td class="memItemLeft" align="right" valign="top">(UIWindow *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#acc91401082b35660f529465910e26577">keyWindow</a></td></tr>
<tr class="separator:acc91401082b35660f529465910e26577"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a2386702d61e0ba8a8c3ded4c36aee1fc"><td class="memItemLeft" align="right" valign="top">(UIViewController *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#a2386702d61e0ba8a8c3ded4c36aee1fc">currentViewController</a></td></tr>
<tr class="separator:a2386702d61e0ba8a8c3ded4c36aee1fc"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a5cf12ce028b8a0156c3cfd997f7c32b1"><td class="memItemLeft" align="right" valign="top">(UINavigationController *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#a5cf12ce028b8a0156c3cfd997f7c32b1">currentNavigationController</a></td></tr>
<tr class="separator:a5cf12ce028b8a0156c3cfd997f7c32b1"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aad75693e5212002adeabca0b2de6b754"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#aad75693e5212002adeabca0b2de6b754">pushViewController:animated:</a></td></tr>
<tr class="separator:aad75693e5212002adeabca0b2de6b754"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ad1d7506a8cdad1d2bff181c5e4b785d0"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#ad1d7506a8cdad1d2bff181c5e4b785d0">presentViewController:animated:</a></td></tr>
<tr class="separator:ad1d7506a8cdad1d2bff181c5e4b785d0"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a9ed1ffee1af4bb3ba38dc430f1c34888"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#a9ed1ffee1af4bb3ba38dc430f1c34888">presentViewController:animated:completion:</a></td></tr>
<tr class="separator:a9ed1ffee1af4bb3ba38dc430f1c34888"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a27b00886663d0a63a95283a2a990fe61"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#a27b00886663d0a63a95283a2a990fe61">popViewControllerWithTimes:animated:</a></td></tr>
<tr class="separator:a27b00886663d0a63a95283a2a990fe61"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a5c411bc103d1c802c2fdb29ce3317a74"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#a5c411bc103d1c802c2fdb29ce3317a74">popToRootViewControllerAnimated:</a></td></tr>
<tr class="separator:a5c411bc103d1c802c2fdb29ce3317a74"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a0370aed6b8dc439e93bdebc967b696ec"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#a0370aed6b8dc439e93bdebc967b696ec">dismissViewControllerTimes:animated:completion:</a></td></tr>
<tr class="separator:a0370aed6b8dc439e93bdebc967b696ec"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a3bdfac0cbaf82158cdf0e72d2733ef66"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_navigator.html#a3bdfac0cbaf82158cdf0e72d2733ef66">dismissToRootViewControllerAnimated:completion:</a></td></tr>
<tr class="separator:a3bdfac0cbaf82158cdf0e72d2733ef66"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="a5cf12ce028b8a0156c3cfd997f7c32b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cf12ce028b8a0156c3cfd997f7c32b1">◆&nbsp;</a></span>currentNavigationController</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UINavigationController *) currentNavigationController </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>获取当前导航控制器</p>
<dl class="section return"><dt>返回</dt><dd>当前导航控制器 </dd></dl>

</div>
</div>
<a id="a2386702d61e0ba8a8c3ded4c36aee1fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2386702d61e0ba8a8c3ded4c36aee1fc">◆&nbsp;</a></span>currentViewController</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UIViewController *) currentViewController </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>获取当前界面控制器</p>
<dl class="section return"><dt>返回</dt><dd>当前控制器 </dd></dl>

</div>
</div>
<a id="a3bdfac0cbaf82158cdf0e72d2733ef66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bdfac0cbaf82158cdf0e72d2733ef66">◆&nbsp;</a></span>dismissToRootViewControllerAnimated:completion:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (void) dismissToRootViewControllerAnimated: </td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em></td>
        </tr>
        <tr>
          <td class="paramkey">completion:</td>
          <td></td>
          <td class="paramtype">(void(^)(void))&nbsp;</td>
          <td class="paramname"><em>completion</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>dismiss 根试图控制器</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">animated</td><td>动画 </td></tr>
    <tr><td class="paramname">completion</td><td>完成时操作 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="a0370aed6b8dc439e93bdebc967b696ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0370aed6b8dc439e93bdebc967b696ec">◆&nbsp;</a></span>dismissViewControllerTimes:animated:completion:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (void) dismissViewControllerTimes: </td>
          <td></td>
          <td class="paramtype">(NSUInteger)&nbsp;</td>
          <td class="paramname"><em>times</em></td>
        </tr>
        <tr>
          <td class="paramkey">animated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em></td>
        </tr>
        <tr>
          <td class="paramkey">completion:</td>
          <td></td>
          <td class="paramtype">(void(^)(void))&nbsp;</td>
          <td class="paramname"><em>completion</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>dismiss 控制器</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">times</td><td>层数 </td></tr>
    <tr><td class="paramname">animated</td><td>动画 </td></tr>
    <tr><td class="paramname">completion</td><td>完成时操作 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="acc91401082b35660f529465910e26577"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc91401082b35660f529465910e26577">◆&nbsp;</a></span>keyWindow</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UIWindow *) keyWindow </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a5c411bc103d1c802c2fdb29ce3317a74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c411bc103d1c802c2fdb29ce3317a74">◆&nbsp;</a></span>popToRootViewControllerAnimated:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (void) popToRootViewControllerAnimated: </td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>pop 到根试图控制器</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">animated</td><td>动画 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="a27b00886663d0a63a95283a2a990fe61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27b00886663d0a63a95283a2a990fe61">◆&nbsp;</a></span>popViewControllerWithTimes:animated:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (void) popViewControllerWithTimes: </td>
          <td></td>
          <td class="paramtype">(NSUInteger)&nbsp;</td>
          <td class="paramname"><em>times</em></td>
        </tr>
        <tr>
          <td class="paramkey">animated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>pop 控制器</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">times</td><td>层数 </td></tr>
    <tr><td class="paramname">animated</td><td>动画 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="ad1d7506a8cdad1d2bff181c5e4b785d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1d7506a8cdad1d2bff181c5e4b785d0">◆&nbsp;</a></span>presentViewController:animated:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (void) presentViewController: </td>
          <td></td>
          <td class="paramtype">(UIViewController *)&nbsp;</td>
          <td class="paramname"><em>viewController</em></td>
        </tr>
        <tr>
          <td class="paramkey">animated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>model 控制器</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">viewController</td><td>目标控制器 </td></tr>
    <tr><td class="paramname">animated</td><td>动画 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="a9ed1ffee1af4bb3ba38dc430f1c34888"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ed1ffee1af4bb3ba38dc430f1c34888">◆&nbsp;</a></span>presentViewController:animated:completion:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (void) presentViewController: </td>
          <td></td>
          <td class="paramtype">(UIViewController *)&nbsp;</td>
          <td class="paramname"><em>viewController</em></td>
        </tr>
        <tr>
          <td class="paramkey">animated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em></td>
        </tr>
        <tr>
          <td class="paramkey">completion:</td>
          <td></td>
          <td class="paramtype">(void(^)(void))&nbsp;</td>
          <td class="paramname"><em>completion</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>model 控制器</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">viewController</td><td>目标控制器 </td></tr>
    <tr><td class="paramname">animated</td><td>动画 </td></tr>
    <tr><td class="paramname">completion</td><td>完成时的操作 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="aad75693e5212002adeabca0b2de6b754"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad75693e5212002adeabca0b2de6b754">◆&nbsp;</a></span>pushViewController:animated:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (void) pushViewController: </td>
          <td></td>
          <td class="paramtype">(UIViewController *)&nbsp;</td>
          <td class="paramname"><em>viewController</em></td>
        </tr>
        <tr>
          <td class="paramkey">animated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>push 控制器</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">viewController</td><td>目标控制器 </td></tr>
    <tr><td class="paramname">animated</td><td>动画 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="a1ab38ab3ebac8021bf5ebad00d76d203"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ab38ab3ebac8021bf5ebad00d76d203">◆&nbsp;</a></span>rootViewController</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UIViewController *) rootViewController </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ac4ee4d0dd9d4258a7388d48bd416c528"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4ee4d0dd9d4258a7388d48bd416c528">◆&nbsp;</a></span>rootWindow</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UIWindow *) rootWindow </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ae092b2e06c16c8dc6f01988ad1886a50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae092b2e06c16c8dc6f01988ad1886a50">◆&nbsp;</a></span>topWindow</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (UIWindow *) topWindow </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Navigator/<a class="el" href="_x_h_x_navigator_8h_source.html">XHXNavigator.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Navigator/<a class="el" href="_x_h_x_navigator_8m.html">XHXNavigator.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_navigator.html">XHXNavigator</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>